import { Transform, Camera } from 'dacha';
export const getProjectedX = (inputX, camera) => {
    const { windowSizeX, zoom } = camera.getComponent(Camera);
    const { world: { position }, } = camera.getComponent(Transform);
    return (inputX - windowSizeX / 2) / zoom + position.x;
};
export const getProjectedY = (inputY, camera) => {
    const { windowSizeY, zoom } = camera.getComponent(Camera);
    const { world: { position }, } = camera.getComponent(Transform);
    return (inputY - windowSizeY / 2) / zoom + position.y;
};
